#!/usr/bin/python
# -*- coding: UTF-8 -*-
"""Auto converter txt to gbk
Author: Huang Jiahua <jhuangjiahua(at)gmail.com>

Usage: txt2gbk.py  FILE...

"""
# 你可以把这个脚本保存到 ~/bin/txt2gbk.py
# 在有 .txt 文件的地方执行 txt2gbk.py  *.txt
# 就会把所有 txt 文件转换成 windows 格式 gbk 编码了


#测试的编码类型
encc=''
def zh2utf8(stri):
	"""Auto converter encodings to utf8
	
	It will test utf8,gbk,big5,jp,kr to converter"""
	global encc
	for c in ('utf-8', 'gbk', 'big5', 'jp', 'euc_kr','utf16','utf32'):
		encc = c
		try:
			return stri.decode(c).encode('utf8')
		except:
			pass
	encc = 'unk'
	return stri 

def zh2gbk(stri):
	"""Auto converter encodings to utf8
	
	It will test utf8,gbk,big5,jp,kr to converter"""
	global encc
	for c in ('utf-8', 'gbk', 'big5', 'jp', 'euc_kr','utf16','utf32'):
		encc = c
		try:
			return stri.decode(c).encode('gbk')
		except:
			pass
	encc = 'unk'
	return stri 


def zh2unicode(stri):
	"""Auto converter encodings to unicode
	
	It will test utf8,gbk,big5,jp,kr to converter"""
	global encc
	for c in ('utf-8', 'gbk', 'big5', 'jp', 'euc_kr','utf16','utf32'):
		encc = c
		try:
			return stri.decode(c)
		except:
			pass
	encc = 'unk'
	return stri 


if __name__=="__main__":
	# 命令行测试
	import sys, os
	if len(sys.argv) == 1 or sys.argv[1]=='-h':
		print __doc__
		sys.exit()
	else:
		for i in sys.argv[1:]:
			if os.path.isfile(i):
				stri = file(i, 'r').read()
				stri = zh2gbk(stri)
				stri = stri.replace('\n','\r\n')
				file(i, 'w').write(stri)

## end
'''
##	sys.setappdefaultencoding('unicode')
	if len(sys.argv) > 1:
		stri = sys.argv[1]
	else:
		stri = sys.stdin.read()
##	print zh2utf8(stri).encode('utf8')
	print zh2utf8(stri)
	print 'encc:',encc
'''



